## com.google.appengine.api.xmpp
Class Presence

    java.lang.Object
      com.google.appengine.api.xmpp.Presence

    public final class Presence

extends java.lang.Object

Represents presence information returned by the server.

See Also:
  `PresenceBuilder`

Method Summary
`JID` `getFromJid()`
`PresenceShow` `getPresenceShow()`
`PresenceType` `getPresenceType()`
`java.lang.String` `getStanza()`
`java.lang.String` `getStatus()`
`JID` `getToJid()`
`boolean` `isAvailable()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isAvailable

    public boolean isAvailable()

### getPresenceType

    public PresenceType getPresenceType()

### getPresenceShow

    public PresenceShow getPresenceShow()

### getStatus

    public java.lang.String getStatus()

### getFromJid

    public JID getFromJid()

### getToJid

    public JID getToJid()

### getStanza

    public java.lang.String getStanza()